#include "DIMouse.h"
DIMouse Mouse;

IDirectInputDevice *DIMouse::Mouse;

DIMouse::DIMouse()
{
	Mouse = NULL;
}

DIMouse::~DIMouse()
{
	ReleaseMouse();
}

void DIMouse::Init()
{
   DirectInput->CreateDevice(GUID_SysMouse, &Mouse, NULL);

   Mouse->SetDataFormat(&c_dfDIMouse);

   Mouse->SetCooperativeLevel(hWnd, DISCL_EXCLUSIVE | DISCL_FOREGROUND);
}

void DIMouse::SetAcquire()
{
	Mouse->Acquire();
}

void DIMouse::Input()
{
	DIMOUSESTATE dims;

	Mouse->GetDeviceState(sizeof(DIMOUSESTATE), &dims);

	dx = dims.lX; 
	dy = dims.lY; 
	dz = dims.lZ;
   b1 = dims.rgbButtons[0];
   b2 = dims.rgbButtons[1];
   b3 = dims.rgbButtons[2];
   b4 = dims.rgbButtons[3];
}

void DIMouse::ReleaseMouse()
{
	if(Mouse)
	{
		Mouse->Release();
		Mouse = NULL;
	}
}
